Bug 142842 - yum needs to add kernel-hugemem to installonlypkgs list in yum/config.py
Summary: yum needs to add kernel-hugemem to installonlypkgs list in yum/config.py
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-14 17:13 UTC by Satish Balay
Modified: 2014-01-21 22:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 16:17:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Satish Balay 2004-12-14 17:13:32 UTC
SSIA

Comment 1 Satish Balay 2004-12-14 17:15:35 UTC
BTW: this is with yum-2.1.12-1 & kernel-hugemem-2.6.9-1.715_FC3 (and 698)

Comment 2 Satish Balay 2004-12-14 17:34:09 UTC
Perhaps kernel-xen0 & kernel-xenU should also be part of installonlypkgs list?

Comment 3 Seth Vidal 2004-12-19 07:51:53 UTC
maybe we need another provides tag for this sort of stuff.

Right now if something provides: kernel-modules then yum will treat it like a
kernel and only ever install it. Not upgrade it.

maybe we need a provides that says 'this is a kernel' so yum and up2date can dtrt.

Comment 4 Jeremy Katz 2004-12-19 16:25:44 UTC
All kernel packages should already Provides: kernel.

Comment 5 Seth Vidal 2005-01-14 16:17:15 UTC
great. Changed in cvs. Thanks.


Note You need to log in before you can comment on or make changes to this bug.